Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.extract
Class EbXML_2_1InputStreamProvideAndRegisterDocumentSetExtractor

    java.lang.Object
      org.eclipse.ohf.ihe.xds.metadata.extract.EbXML_2_1InputStreamProvideAndRegisterDocumentSetExtractor

All Implemented Interfaces:
  ProvideAndRegisterDocumentSetExtractor

    public class EbXML_2_1InputStreamProvideAndRegisterDocumentSetExtractor

extends java.lang.Object
implements ProvideAndRegisterDocumentSetExtractor

Class containing utility methods to extract complete XDS metadata from ebRIM 2.1 conformant InputStream.

Author:
  Sarah Knoop

Field Summary
`static java.lang.String` | `DESCRIPTOR` Descriptor for Extractor

Constructor Summary
`EbXML_2_1InputStreamProvideAndRegisterDocumentSetExtractor(java.io.InputStream ebXMLmetadataInputStream)` Creates an extractor for the InputStream given.

Method Summary
`ProvideAndRegisterDocumentSetType` | `extract()` Renders a ProvideAndRegisterDocumentSetType object from a InputStream containing a single instance of a SubmitObjectRequest.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESCRIPTOR

    public static final java.lang.String DESCRIPTOR

  Descriptor for Extractor

  See Also:
    Constant Field Values

Constructor Detail

### EbXML_2_1InputStreamProvideAndRegisterDocumentSetExtractor

    public EbXML_2_1InputStreamProvideAndRegisterDocumentSetExtractor(java.io.InputStream ebXMLmetadataInputStream)

  Creates an extractor for the InputStream given. InputStream must contain single instance of a SubmitObjectRequest. Must be conformant to the modified rs.xsd. UUIDs in the InputStream are assumed to match those in `UUIDs`.
  IMPORTANT NOTE: We note that documents and folders with corresponding ExtrinsicObjects/RegistryPackages (respectively) in the current SubmitObjectRequest will appear on the appropriate associated document and folder lists for the submission set. EbXML Associations that represent the linking of existing documents and existing folders to the current submission set will all appear on it's list of associated documents. This is because there is no way (currently) in the ebXML to distinguish an existing folder from an existing document entry in this context.

  Parameters:
    `ebXMLmetadataInputStream` - InputStream conformant to modified rs.xsd populated with metadata values

Method Detail

### extract

    public ProvideAndRegisterDocumentSetType extract()
                                              throws MetadataExtractionException

  Renders a ProvideAndRegisterDocumentSetType object from a InputStream containing a single instance of a SubmitObjectRequest. Must be conformant to the modified rs.xsd. UUIDs in the InputStream are assumed to match those in `UUIDs`.

  Specified by:
    `extract` in interface `ProvideAndRegisterDocumentSetExtractor`
  Throws:
    `MetadataExtractionException`
  See Also:
    `ProvideAndRegisterDocumentSetExtractor.extract()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD